- [HTTP request](https://docs.cloud.google.com/organization-policy/reference/rest/v2/projects.policies/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/organization-policy/reference/rest/v2/projects.policies/delete#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/organization-policy/reference/rest/v2/projects.policies/delete#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/organization-policy/reference/rest/v2/projects.policies/delete#body.request_body)
- [Response body](https://docs.cloud.google.com/organization-policy/reference/rest/v2/projects.policies/delete#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/organization-policy/reference/rest/v2/projects.policies/delete#body.aspect)
- [Try it!](https://docs.cloud.google.com/organization-policy/reference/rest/v2/projects.policies/delete#try-it)

Deletes a policy.

Returns a `google.rpc.Status` with `google.rpc.Code.NOT_FOUND` if the constraint or organization policy does not exist.

### HTTP request

`DELETE https://orgpolicy.googleapis.com/v2/{name=projects/*/policies/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Name of the policy to delete. See the policy entry for naming rules. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `orgpolicy.policies.delete` |

### Query parameters

| Parameters ||
|---|---|
| `etag` | `string` Optional. The current entity tag (ETag) of the organization policy. If an ETag is provided and doesn't match the current ETag of the policy, deletion of the policy will be blocked and an `ABORTED` error will be returned. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/organizationpolicy`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).